From: <a href="/blend/av.cgi?id=2045">Ravenheart</a><BR>
Date: 23 May 2014<P>

I can so relate to this. Just L: I too, only write when I am "in a mood", never when I'm happy. Star of David: I know that most of us here do it as well. Sometimes when heartache hits, I just have to write it down. I guess if I don't get it out and down on paper, it will consume me. Heartache for me is like that x-ray vest that they put on you at the dentist's office. Such a heavy weight. I can only carry it for <BR>
so long. 
<HR>